interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'GET'
    uri: https://www.reddit.com/r/AskReddit/comments/2np694/.json
  response:
    body:
      string: !!binary |
[encoded data, 70295 characters]
        rVWlrf75n47/U1j9738A7ZO427o8BAA=
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-cache-status: [HIT]
      cf-ray: [26fa2b04eada1ee3-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['47162']
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:15 GMT']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=dde100f7c2201d4fd770c7a4fa899890e1454628675; expires=Fri,
          03-Feb-17 23:31:15 GMT; path=/; domain=.reddit.com; HttpOnly']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [Accept-Encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=yrEYT1v85IbPnkmAM6PcOTqKlQSte%2FXvxVIBC7DDGBiBpnH9sFjXNWk%2FAFHq5RJcpvythBTO0kWuGmz3QPUARk8qVFrTVqYT']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=dde100f7c2201d4fd770c7a4fa899890e1454628675]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'GET'
    uri: https://www.reddit.com/r/AskReddit/comments/2np694/.json?sort=new
  response:
    body:
      string: !!binary |
[encoded data, 38590 characters]
        nKWbq/x8sD4ue6/c72ng/Fty/Astxg1QC7oCAA==
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-cache-status: [HIT]
      cf-ray: [26fa2b10bb021ee3-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['25906']
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:17 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [Accept-Encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=EsBDfIyrR3UpcVPUpbw2wKc%2BGgcXG1nlDBZARjULFvSCBPGcJS%2B%2BEqRWCquS5cn2TeNcMpmA5TddBso8wP99zC3IjAckX1%2BE']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=dde100f7c2201d4fd770c7a4fa899890e1454628675]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'GET'
    uri: https://www.reddit.com/r/AskReddit/comments/2np694/.json?sort=fake
  response:
    body:
      string: !!binary |
[encoded data, 70295 characters]
        pjA3/RXuv/5Ur/5P4W2pKq31z/90/J/C6n//A9JGRTq6PAQA
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-cache-status: [EXPIRED]
      cf-ray: [26fa2b1d3b2d1ee3-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['47175']
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:19 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [Accept-Encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=XHyAzuy2p6pUSgeAsxNq%2BXOMtv5yma69H3BLmVIuTLOP9lVdpUfq2Qp6%2F3wG5eIyDjGn9gUk%2FbE%2BtX5EA99xBOgBZ3SXjo9T']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=dde100f7c2201d4fd770c7a4fa899890e1454628675]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'GET'
    uri: https://www.reddit.com/r/AskReddit/comments/2np69.json
  response:
    body: {string: !!python/unicode '{"error": 404}'}
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-cache-status: [EXPIRED]
      cf-ray: [26fa2b29bb6f1ee3-SJC]
      connection: [keep-alive]
      content-length: ['14']
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:21 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [Accept-Encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=aKBnL47r9FzGTDQS17Tr%2B8AnLBq89RT5LyJMQxy1qPG1pSX8uPOf3xbDiUdVKmgxgsp05bYkb%2B07EyFEUMxdAvS0%2Bq09cs54']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 404, message: Not Found}
- request:
    body: grant_type=refresh_token&refresh_token=**********&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      !!python/unicode 'Authorization': [!!python/unicode '**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=dde100f7c2201d4fd770c7a4fa899890e1454628675]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'POST'
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMwQqCUBBFf2V464JEs2hn26gWLaKVPH0Xm8SUmTGz6N/DWl04nHPfzpclVHNr
        a9zdhlycLqNltE7mq21WH4ch2WVRpac+Odl6Hx9et7Nc3IzcL8ht7DBVBbxAJo5nxwLNeXqL08Vi
        Rk7L9q8hsNGV1VoZiQPuxjZSM2pfCEJgU+qEH97QQNVXUBL4QIKuFSP1D5D2RcM2jZbCBdznC+6A
        CRTFAAAA
    headers:
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [26fa2b36b4170294-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:23 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      !!python/unicode 'Authorization': [!!python/unicode '**********']
      Connection: [keep-alive]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'GET'
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAA12Q0W7CMAxFfyXyczW1hTGWn7FC464WSVyStEJM/DtK126Dx1zZxyf3GwaT0Bt2
        oFVvXKJKQTCeQCvoeGbHN5NZAo6DuRHuoFLQRTKZLGjV7Nv3dtcc9vVbXSkY2BL2UTxGOUlO/5ic
        ME1ppGCXxS1eUTjlbsPV7XHDFTWxr3qOwxnPJnoDWrXtZ8GI9xTyb3r4qBTITBGbI2iV47Q6fImz
        z1ZenoLyAHcJRspPyzjSdeS4lABahcm5MhdOcsVOppBBq012psg9k0V6UV44XSRreWmlLPzUkUq3
        fxfWIsqV+wP63euLnAEAAA==
    headers:
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      cf-ray: [26fa2b43280a1e65-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:25 GMT']
      expires: ['-1']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=d5589fc639095ffc3e6f481e7f2a9059a1454628685; expires=Fri,
          03-Feb-17 23:31:25 GMT; path=/; domain=.reddit.com; HttpOnly']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-ratelimit-remaining: ['596.0']
      x-ratelimit-reset: ['515']
      x-ratelimit-used: ['4']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      !!python/unicode 'Authorization': [!!python/unicode '**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d5589fc639095ffc3e6f481e7f2a9059a1454628685]
      User-Agent: [!!python/unicode 'rtv test suite PRAW/3.3.0 Python/2.7.5 Linux-3.13.0-70-generic-x86_64-with-debian-jessie-sid']
    method: !!python/unicode 'GET'
    uri: https://oauth.reddit.com//r/LifeProTips/comments/441hsf//czmp112.json
  response:
    body:
      string: !!binary |
[encoded data, 30430 characters]
        hk7durrtsc9uXRC9biJK/s//D04G2xkIWQIA
    headers:
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      cf-ray: [26fa2b4f393c1e65-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['20433']
      content-type: [application/json; charset=UTF-8]
      date: ['Thu, 04 Feb 2016 23:31:27 GMT']
      expires: ['-1']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-ratelimit-remaining: ['595.0']
      x-ratelimit-reset: ['513']
      x-ratelimit-used: ['5']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=zvIrdvA9nF0UHgWZxMRxWPtjvxlXvda%2BmWCGCR%2Fqk7bN1MbgLoFHvcyMToLUbAl4iRWxi3He306duPMBO8iC%2BndHJxE3ebJn']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
